> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Promote a deployment to the next environment



## OpenAPI

````yaml POST /v1/agents/{agentId}/deployments/{deploymentId}/promote
openapi: 3.1.0
info:
  title: PolyAI Agents API
  version: 1.0.11
  description: Manage PolyAI agents, telephony, deployments, and real-time configs.
servers:
  - url: https://api.us.poly.ai
    description: US region
  - url: https://api.eu.poly.ai
    description: EU region
  - url: https://api.uk.poly.ai
    description: UK region
  - url: https://api.studio.poly.ai
    description: Studio region
security:
  - polyApiKey: []
paths:
  /v1/agents/{agentId}/deployments/{deploymentId}/promote:
    parameters:
      - name: agentId
        in: path
        required: true
        schema:
          type: string
      - name: deploymentId
        in: path
        required: true
        schema:
          type: string
    post:
      tags:
        - Deployments
      summary: Promote a deployment to the next environment
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PromoteDeploymentPublicBody'
      responses:
        '200':
          description: Promoted deployment with triggered test run IDs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MutationDeploymentPublicResponse'
        '404':
          description: Deployment not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                success: false
                error: Deployment ID does not exist.
                error_id: 550e8400-e29b-41d4-a716-446655440000
                error_code: DEPLOYMENT_NOT_FOUND
                error_message: Deployment ID does not exist.
                data: null
components:
  schemas:
    PromoteDeploymentPublicBody:
      type: object
      properties:
        deploymentMessage:
          type: string
          default: ''
        targetEnvironment:
          type: string
          enum:
            - pre-release
            - live
      additionalProperties: false
      title: PromoteDeploymentPublicBody
    MutationDeploymentPublicResponse:
      type: object
      properties:
        deployment:
          type: object
          properties:
            id:
              type: string
            accountId:
              type: string
            agentId:
              type: string
            environment:
              type: string
            artifactVersion:
              type: string
            version:
              type: string
            createdBy:
              type: string
            createdAt:
              type: string
            metadata:
              type: object
              additionalProperties: {}
              nullable: true
          required:
            - id
            - accountId
            - agentId
            - environment
            - artifactVersion
            - version
            - createdBy
            - createdAt
          additionalProperties: false
        testRunIds:
          type: array
          items:
            type: string
      required:
        - deployment
        - testRunIds
      additionalProperties: false
      title: MutationDeploymentPublicResponse
    Error:
      type: object
      description: Standard PolyAI API error envelope.
      required:
        - success
        - error
        - error_id
        - error_code
        - error_message
        - data
      properties:
        success:
          type: boolean
          description: Always false for error responses.
          example: false
        error:
          type: string
          description: Human-readable error message.
        error_id:
          type: string
          description: >-
            Unique request identifier from the X-PolyAI-Correlation-Id header.
            Include this when contacting support.
        error_code:
          type: string
          description: Machine-readable error code in UPPER_SNAKE_CASE.
        error_message:
          type: string
          description: Human-readable error message.
        data:
          nullable: true
          description: Always null for error responses.
  securitySchemes:
    polyApiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````